//
//  Interface zum Debug-Tool ALCHECK
//  Durch diese Funktion ist eine Steuerung von ALCHECK aus einer
//  Anwendung heraus mglich.  
//

#include <windows.h>
#include <string.h>

//  Fr die Registrierung der Kommunikationsnachricht
static WORD wRegMsg = 0;


//
//  Sendet eine Nachricht an das ALCHECK-Fenster
//  Die Syntax entspricht der Funktion wvsprintf
//
//  PARAMETER
//    lpFormat   : Formatstring mit Steuerzeichen  
//    lpArgList  : WORD-Array (siehe wvsprintf) 
//    sFix		 : <> 0 : Fixierte Werte aktualisieren		
//                    0 : Nur aktuelle Werte aktualisieren 
//
int AlCheckNotify (LPSTR lpFormat, LPSTR lpArgList, short sFix)
{
 char 	ac[256];
 HWND	hwndAlCheck;

 // Wenn die Nachricht noch nicht registriert wurde 
 if (!wRegMsg) wRegMsg = RegisterWindowMessage("ALCHECK_NOTIFY");

 if (lpArgList)
   wvsprintf(ac,lpFormat,lpArgList);
 else
   _fstrcpy(ac,lpFormat);

 hwndAlCheck = FindWindow("BorDlgWin-ALCHECK",NULL);

 if (hwndAlCheck)
 {
   SendMessage(hwndAlCheck,wRegMsg,WORD(sFix),LONG(ac));
   return (1);
 }
 else
   return(0);
} // AlCheckNotify


