{!$define RETAIL_VERSION}
{!define Win32}
{***************************************************************************
  Source File Name     :  ALCHKMSG.PAS
  Autor                :  Mario M. Westphal
  Erstellt am          :  07.03.1993

  Compiler             :  Borland Pascal for Windows 1.x
  Betriebssystem       :  DOS 5.0, Windows 3.x
  Compiler-Schalter    :  -

  Bemerkungen          :  -

  Beschreibung         :  Message-Interface fr ALCHECK

  Revisionen           :  07.03.1993 created

****************************************************************************}
{$A+,B-,D+,F-,G+,I+,L+,N-,R+,S+,V+,W-,X+,Q+}

{$ifdef RETAIL_VERSION}
  {$D-,L-,S-,R-,Q-,I-}
{$endif}

unit ALCHKMSG;

INTERFACE
uses
  WinTypes,
  WinProcs,
  WinCRT,
  Strings;


  function AlCheckNotify (Format: PChar; ArgList: Pointer; Fix: Boolean) : Boolean;


IMPLEMENTATION
var
  { Nachrichtencode }
  wRegMsg : Word;

{-------------------------------------------------------------------------------
  Diese Funktion sendet eine Nachricht an das ALCHECK-Fenster und bewirkt ein
  Aktualisieren der dargestellten Werte.
  Format und ArgList haben dieselbe Bedeutung wie bei der Funktion "wvsprintf",
  allerdings kann fr Arglist auch NIL bergeben werden.
  Wird fr den Parameter Fix true bergeben, werden in AlCheck die Werte neu
  fixiert, ansonsten werden nur die aktuellen Werte neu eingelesen.

  Die Funktion liefert true, wenn die Nachricht an ALCHECK gesendet wurde.
}
function AlCheckNotify (Format: PChar; ArgList: Pointer; Fix: Boolean) : Boolean;
var
  hwndAlCheck : HWnd;
  lpszMsg     : array[0..1024] of Char;

begin
  if ArgList <> nil then wvsprintf(lpszMsg,Format,ArgList^)
                    else StrCopy(lpszMsg,Format);

  hwndAlCheck := FindWindow('BorDlgWin-ALCHECK',nil);
  if hwndAlCheck <> 0 then
  begin
    SendMessage(hwndAlCheck,wRegMsg,Word(Fix),LongInt(@lpszMsg));
    AlCheckNotify := true;
  end
  else
    AlCheckNotify := false;
end; { AlCheckNotify }

BEGIN
  { Erzeuge eine systemweit eindeutige Nachricht }
  wRegMsg := RegisterWindowMessage('ALCHECK_NOTIFY');
END.